Ruby 2.0.0p353(2013-11-22revision43784)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
rb_classext_struct Struct Reference

`#include <internal.h>`

## Data Fields
VALUE | super
struct st_table * | iv_tbl
struct st_table * | const_tbl
VALUE | origin
VALUE | refined_class
rb_alloc_func_t | allocator

## Detailed Description

Definition at line 36 of file ripper.y.

## Field Documentation

rb_alloc_func_t rb_classext_struct::allocator

Definition at line 42 of file ripper.y.

struct st_table * rb_classext_struct::const_tbl

Definition at line 39 of file ripper.y.

struct st_table * rb_classext_struct::iv_tbl

Definition at line 38 of file ripper.y.

VALUE rb_classext_struct::origin

Definition at line 40 of file ripper.y.

VALUE rb_classext_struct::refined_class

Definition at line 41 of file ripper.y.

VALUE rb_classext_struct::super

Definition at line 37 of file ripper.y.

The documentation for this struct was generated from the following file:

- internal.h